Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 438150 - www-servers/apache-2.4.3 - configuration files have "require host", should be "require ip"
Summary: www-servers/apache-2.4.3 - configuration files have "require host", should be...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: apache-2.4-stable
  Show dependency tree
 
Reported: 2012-10-12 16:53 UTC by Nick Novikov
Modified: 2014-05-22 14:05 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Novikov 2012-10-12 16:53:56 UTC
In files /etc/apache2/modules.d/00_mod_info.conf & /etc/apache2/modules.d/00_mod_status.conf line 'Require host 127.0.0.1' is wrong.

It should be 'Require ip 127.0.0.1' or 'Require local'
Second will match both localhost, 127.0.0.1 and ::1
Comment 1 Paul Tobias 2013-09-09 18:20:58 UTC
I can confirm this bug, and add that /etc/apache2/modules.d/46_mod_ldap.conf also have this problem.

It would be great to fix this bug, as it took me like an hour to figure out why my server-status stopped working. The 'Require host 127.0.0.1' looks correct, but it actually acts like 'Require all denied'. As Nick suggested, 'Require local' would be best as it works with IPv6 localhost too.
Comment 2 Bernard Cafarelli gentoo-dev 2014-05-11 18:04:52 UTC
Sorry Lars, I missed that bug when filling #509772 :/ It may be better to use this one to track the next gentoo-apache rollout
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2014-05-22 14:05:45 UTC
Fixed in =www-servers/apache-2.2.27-r3 and =www-servers/apache-2.4.9-r3.